import curses
from typing import Any


class Display:
    def __init__(self, screen: Any):
        self.screen = screen
        self.rows = curses.LINES if screen else 4
        self.cols = curses.COLS * 4 // 5 if screen else 4

    def refresh(self) -> None:
        raise NotImplementedError

    def display(self, y: int, x: int) -> None:
        raise NotImplementedError
